2018-10-20 11:16 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004247Kali Linux[All Projects] Kali Package Bugpublic2017-09-22 09:21
Reporterfl0 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.3 
Summary0004247: Rebuild gr-osmosdr for GNU Radio 3.7.11
DescriptionOsmocom sources fails since update to 3.7.11.

Rebuild gr-osmosdr form source fix the issue.
Steps To Reproduceroot@kali:~/SDR# python top_block.py
linux; GNU C++ version 6.3.0 20170221; Boost_106200; UHD_003.009.005-0-unknown

gr-osmosdr 0.1.4 (0.1.4) gnuradio 3.7.10
built-in source types: file osmosdr fcd rtl rtl_tcp uhd miri hackrf bladerf rfspace airspy soapy redpitaya
Using HackRF One with firmware 2017.02.1
gr::log :INFO: audio source - Audio sink arch: alsa
Traceback (most recent call last):
  File "top_block.py", line 228, in <module>
    main()
  File "top_block.py", line 223, in main
    tb.Start(True)
  File "/usr/lib/python2.7/dist-packages/grc_gnuradio/wxgui/top_block_gui.py", line 74, in Start
    self.start()
  File "/usr/lib/python2.7/dist-packages/gnuradio/gr/top_block.py", line 109, in start
    top_block_start_unlocked(self._impl, max_noutput_items)
  File "/usr/lib/python2.7/dist-packages/gnuradio/gr/runtime_swig.py", line 5654, in top_block_start_unlocked
    return _runtime_swig.top_block_start_unlocked(r, max_noutput_items)
RuntimeError: list contains invalid format!
OOOOOOOOOOOOOOOOOOOOOOO[...]^C
Attached Files

-Relationships
+Relationships

-Notes

~0007353

rhertzog (administrator)

Please report the versions of the package that you are using for gr-osmosdr, for gnuradio, etc.

Are you using kali-rolling and is your system fully up-to-date?

~0007357

fl0 (reporter)

Fully up-to-date kali rolling:

root@kali:~# cat /etc/os-release
PRETTY_NAME="Kali GNU/Linux Rolling"
NAME="Kali GNU/Linux"
ID=kali
VERSION="2017.2"
VERSION_ID="2017.2"
ID_LIKE=debian
ANSI_COLOR="1;31"
HOME_URL="http://www.kali.org/"
SUPPORT_URL="http://forums.kali.org/"
BUG_REPORT_URL="http://bugs.kali.org/"
root@kali:~# uname -a
Linux kali 4.12.0-kali1-amd64 0000001 SMP Debian 4.12.6-1kali6 (2017-08-30) x86_64 GNU/Linux
root@kali:~# apt-get update && apt-get upgrade
Hit:1 http://ftp.free.fr/pub/kali kali-rolling InRelease
Hit:2 http://ftp.free.fr/pub/kali kali-bleeding-edge InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  rename
Use 'apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@kali:~# dpkg -l | grep 'gnuradio\|gr-osmosdr'
ii gnuradio 3.7.11-1+b1 amd64 GNU Radio Software Radio Toolkit
ii gnuradio-dev:amd64 3.7.11-1+b1 amd64 GNU Software Defined Radio toolkit development
ii gr-hpsdr 1.2-1 amd64 gnuradio interface module for OpenHPSDR protocol 1
ii gr-osmosdr 0.1.4-12+b1 amd64 Gnuradio blocks from the OsmoSDR project
ii libgnuradio-analog3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio analog functions
ii libgnuradio-analog3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio analog functions
ii libgnuradio-analog3.7.9:amd64 3.7.9.2-4 amd64 gnuradio analog functions
ii libgnuradio-atsc3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio atsc functions
ii libgnuradio-audio3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio audio functions
ii libgnuradio-audio3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio audio functions
ii libgnuradio-audio3.7.9:amd64 3.7.9.2-4 amd64 gnuradio audio functions
ii libgnuradio-baz 0.1+git20160908-0kali1+b1 amd64 gnuradio new functionality blocks
ii libgnuradio-baz-dbgsym 0.1+git20160908-0kali1+b1 amd64 Debug symbols for libgnuradio-baz
ii libgnuradio-baz-dev 0.1+git20160908-0kali1+b1 amd64 gnuradio new functionality blocks development
ii libgnuradio-blocks3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio blocks functions
ii libgnuradio-blocks3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio blocks functions
ii libgnuradio-blocks3.7.9:amd64 3.7.9.2-4 amd64 gnuradio blocks functions
ii libgnuradio-channels3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio channels functions
ii libgnuradio-channels3.7.9:amd64 3.7.9.2-3 amd64 gnuradio channels functions
ii libgnuradio-comedi3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio comedi instrument control functions
ii libgnuradio-digital3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio digital communications functions
ii libgnuradio-digital3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio digital communications functions
ii libgnuradio-digital3.7.9:amd64 3.7.9.2-4 amd64 gnuradio digital communications functions
ii libgnuradio-dtv3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio digital TV signal processing blocks
ii libgnuradio-fcd3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio FunCube Dongle support
ii libgnuradio-fcd3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio FunCube Dongle support
ii libgnuradio-fcd3.7.9:amd64 3.7.9.2-3 amd64 gnuradio FunCube Dongle support
ii libgnuradio-fcdproplus3.7.10 3.7.25.4b6464b-2+b2 amd64 Funcube Dongle Pro Plus controller for GNU Radio (runtime)
ii libgnuradio-fec3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio forward error correction support
ii libgnuradio-fft3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio fast Fourier transform functions
ii libgnuradio-fft3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio fast Fourier transform functions
ii libgnuradio-fft3.7.9:amd64 3.7.9.2-4 amd64 gnuradio fast Fourier transform functions
ii libgnuradio-filter3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio filter functions
ii libgnuradio-filter3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio filter functions
ii libgnuradio-filter3.7.9:amd64 3.7.9.2-4 amd64 gnuradio filter functions
ii libgnuradio-fosphor3.7.10 3.7.0.2.7b6b996-1+b2 amd64 gnuradio fosphor block (GPU spectrum display) (library)
ii libgnuradio-hpsdr0:amd64 0.0.0.bb77f3c-2+b3 amd64 gnuradio library for HPSDR Hermes / Metis
ii libgnuradio-hpsdr1.2:amd64 1.2-1 amd64 gnuradio library for OpenHPSDR protocol 1
ii libgnuradio-iio0 0.2.36-2 amd64 IIO blocks for GnuRadio (runtime library)
ii libgnuradio-iqbalance3.7.10 0.37.2-7+b2 amd64 GNU Radio Blind IQ imbalance estimator and correction (runtime)
ii libgnuradio-noaa3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio noaa satellite signals functions
ii libgnuradio-noaa3.7.9:amd64 3.7.9.2-3 amd64 gnuradio noaa satellite signals functions
ii libgnuradio-osmosdr0.1.4:amd64 0.1.4-12+b1 amd64 Gnuradio blocks from the OsmoSDR project - library
ii libgnuradio-pager3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio pager radio functions
ii libgnuradio-pager3.7.9:amd64 3.7.9.2-3 amd64 gnuradio pager radio functions
ii libgnuradio-pmt3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio pmt container library
ii libgnuradio-pmt3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio pmt container library
ii libgnuradio-pmt3.7.9:amd64 3.7.9.2-4 amd64 gnuradio pmt container library
ii libgnuradio-qtgui3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio Qt graphical user interface functions
ii libgnuradio-radar3.7.10 0.0.0.20160615-3+b1 amd64 GNU Radio Radar Toolbox - library
ii libgnuradio-rds3.7.10 3.7.0.2.a542331-1+b2 amd64 GNU Radio FM RDS/TMC Transceiver (library)
ii libgnuradio-runtime3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio core runtime
ii libgnuradio-runtime3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio core runtime
ii libgnuradio-runtime3.7.9:amd64 3.7.9.2-4 amd64 gnuradio core runtime
ii libgnuradio-trellis3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio trellis modulation functions
ii libgnuradio-uhd3.7.10:amd64 3.7.10.1-2+kali1 amd64 gnuradio universal hardware driver functions
ii libgnuradio-uhd3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio universal hardware driver functions
ii libgnuradio-video-sdl3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio video functions
ii libgnuradio-vocoder3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio vocoder functions
ii libgnuradio-wavelet3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio wavelet functions
ii libgnuradio-wxgui3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio wxgui functions
ii libgnuradio-zeromq3.7.11:amd64 3.7.11-1+b1 amd64 gnuradio zeromq functions

~0007358

fl0 (reporter)

The problem is solved by rebuilding gr-osmosdr from git source:


flo@kali:~/tools/SDR$ git clone git://git.osmocom.org/gr-osmosdr
Cloning into 'gr-osmosdr'...
remote: Counting objects: 4163, done.
remote: Compressing objects: 100% (2846/2846), done.
remote: Total 4163 (delta 2987), reused 1893 (delta 1279)
Receiving objects: 100% (4163/4163), 997.14 KiB | 3.12 MiB/s, done.
Resolving deltas: 100% (2987/2987), done.
flo@kali:~/tools/SDR$ cd gr-osmosdr/
flo@kali:~/tools/SDR/gr-osmosdr$ mkdir build
flo@kali:~/tools/SDR/gr-osmosdr$ cd build/
flo@kali:~/tools/SDR/gr-osmosdr/build$ cmake ..
-- The CXX compiler identification is GNU 7.2.0
-- The C compiler identification is GNU 7.2.0
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Build type not specified: defaulting to release.
-- Found Git: /usr/bin/git (found version "2.14.1")
-- Extracting version information from git describe...
-- Configuring Boost C++ Libraries...
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Boost version: 1.62.0
-- Found the following Boost libraries:
-- thread
-- system
-- chrono
-- date_time
-- atomic
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29")
Checking for GNU Radio Module: RUNTIME
-- Checking for module 'gnuradio-runtime'
-- Found gnuradio-runtime, version 3.7.11
 * INCLUDES=/usr/include
 * LIBS=/usr/lib/x86_64-linux-gnu/libgnuradio-runtime.so;/usr/lib/x86_64-linux-gnu/libgnuradio-pmt.so;/usr/lib/x86_64-linux-gnu/liblog4cpp.so
-- Found GNURADIO_RUNTIME: /usr/lib/x86_64-linux-gnu/libgnuradio-runtime.so;/usr/lib/x86_64-linux-gnu/libgnuradio-pmt.so;/usr/lib/x86_64-linux-gnu/liblog4cpp.so
GNURADIO_RUNTIME_FOUND = TRUE
Checking for GNU Radio Module: BLOCKS
-- Checking for module 'gnuradio-blocks'
-- Found gnuradio-blocks, version 3.7.11
 * INCLUDES=/usr/include
 * LIBS=/usr/lib/x86_64-linux-gnu/libgnuradio-blocks.so;/usr/lib/x86_64-linux-gnu/libgnuradio-runtime.so;/usr/lib/x86_64-linux-gnu/libgnuradio-pmt.so;/usr/lib/x86_64-linux-gnu/liblog4cpp.so
-- Found GNURADIO_BLOCKS: /usr/lib/x86_64-linux-gnu/libgnuradio-blocks.so;/usr/lib/x86_64-linux-gnu/libgnuradio-runtime.so;/usr/lib/x86_64-linux-gnu/libgnuradio-pmt.so;/usr/lib/x86_64-linux-gnu/liblog4cpp.so
GNURADIO_BLOCKS_FOUND = TRUE
Checking for GNU Radio Module: PMT
-- Checking for module 'gnuradio-runtime'
-- Found gnuradio-runtime, version 3.7.11
 * INCLUDES=/usr/include
 * LIBS=/usr/lib/x86_64-linux-gnu/libgnuradio-runtime.so;/usr/lib/x86_64-linux-gnu/libgnuradio-pmt.so;/usr/lib/x86_64-linux-gnu/liblog4cpp.so
-- Found GNURADIO_PMT: /usr/lib/x86_64-linux-gnu/libgnuradio-runtime.so;/usr/lib/x86_64-linux-gnu/libgnuradio-pmt.so;/usr/lib/x86_64-linux-gnu/liblog4cpp.so
GNURADIO_PMT_FOUND = TRUE
-- Checking for module 'gnuradio-iqbalance'
-- Found gnuradio-iqbalance, version 0
-- Found GNURADIO_IQBALANCE: /usr/lib/x86_64-linux-gnu/libgnuradio-iqbalance.so
-- Checking for module 'uhd'
-- No package 'uhd' found
-- Checking for module 'gnuradio-uhd'
-- Found gnuradio-uhd, version 3.7.11
-- Found gnuradio-uhd: /usr/include, /usr/lib/x86_64-linux-gnu/libgnuradio-uhd.so
-- Found GNURADIO_UHD: /usr/lib/x86_64-linux-gnu/libgnuradio-uhd.so
-- Checking for module 'gnuradio-fcd'
-- Found gnuradio-fcd, version 3.7.11
-- Found gnuradio-fcd: /usr/include, /usr/lib/x86_64-linux-gnu/libgnuradio-fcd.so
-- Found GNURADIO_FCD: /usr/lib/x86_64-linux-gnu/libgnuradio-fcd.so
-- Checking for module 'gnuradio-fcdproplus'
-- Found gnuradio-fcdproplus, version 3.7.10
-- Found gnuradio-fcdproplus: /usr/include, /usr/lib/x86_64-linux-gnu/libgnuradio-fcdproplus.so
-- Found GNURADIO_FCDPP: /usr/lib/x86_64-linux-gnu/libgnuradio-fcdproplus.so
-- Checking for module 'libosmosdr'
-- Found libosmosdr, version
-- Found libosmosdr: /usr/include, /usr/lib/x86_64-linux-gnu/libosmosdr.so
-- Checking for module 'librtlsdr'
-- Found librtlsdr, version 0.5.3
-- Found librtlsdr: /usr/include, /usr/lib/x86_64-linux-gnu/librtlsdr.so
-- Checking for module 'libmirisdr'
-- No package 'libmirisdr' found
-- libmirisdr not found.
-- Checking for module 'libhackrf'
-- Found libhackrf, version 0.5
-- Found LIBHACKRF: /usr/lib/x86_64-linux-gnu/libhackrf.so
-- Checking for module 'libairspy'
-- No package 'libairspy' found
-- Could NOT find LIBAIRSPY (missing: LIBAIRSPY_LIBRARIES LIBAIRSPY_INCLUDE_DIRS)
-- Checking for module 'volk'
-- Found volk, version 1.3
-- Found VOLK: /usr/lib/x86_64-linux-gnu/libvolk.so
-- Checking for module 'libbladeRF'
-- No package 'libbladeRF' found
-- libbladeRF not found.
-- Could NOT find SoapySDR (missing: SoapySDR_DIR)
-- Checking for module 'libfreesrp'
-- No package 'libfreesrp' found
-- libfreesrp not found.
-- Found Doxygen: /usr/bin/doxygen (found version "1.8.13") found components: doxygen dot
-- Found PythonLibs: /usr/lib/x86_64-linux-gnu/libpython2.7.so (found suitable version "2.7.13", minimum required is "2")
--
-- Checking for module SWIG
-- Found SWIG version 3.0.12.
-- Found SWIG: /usr/bin/swig3.0
-- Minimum SWIG version required is 1.3.31
--
-- The build system will automatically enable all components.
-- Use -DENABLE_DEFAULT=OFF to disable components by default.
--
-- Configuring Python support support...
-- Dependency PYTHONLIBS_FOUND = TRUE
-- Dependency SWIG_FOUND = TRUE
-- Dependency SWIG_VERSION_CHECK = TRUE
-- Enabling Python support support.
-- Override with -DENABLE_PYTHON=ON/OFF
--
-- Configuring high resolution timing...
-- Performing Test HAVE_CLOCK_GETTIME
-- Performing Test HAVE_CLOCK_GETTIME - Success
-- Performing Test HAVE_MACH_ABSOLUTE_TIME
-- Performing Test HAVE_MACH_ABSOLUTE_TIME - Failed
-- Performing Test HAVE_QUERY_PERFORMANCE_COUNTER
-- Performing Test HAVE_QUERY_PERFORMANCE_COUNTER - Failed
-- High resolution timing supported through clock_gettime.
--
-- Configuring Osmocom IQ Imbalance Correction support...
-- Dependency GNURADIO_IQBALANCE_FOUND = TRUE
-- Enabling Osmocom IQ Imbalance Correction support.
-- Override with -DENABLE_IQBALANCE=ON/OFF
--
-- Configuring sysmocom OsmoSDR support...
-- Dependency LIBOSMOSDR_FOUND = TRUE
-- Enabling sysmocom OsmoSDR support.
-- Override with -DENABLE_OSMOSDR=ON/OFF
--
-- Configuring FUNcube Dongle support...
-- Dependency GNURADIO_FCD_FOUND = TRUE
-- Enabling FUNcube Dongle support.
-- Override with -DENABLE_FCD=ON/OFF
--
-- Configuring FUNcube Dongle Pro+ support...
-- Dependency GNURADIO_FCDPP_FOUND = TRUE
-- Enabling FUNcube Dongle Pro+ support.
-- Override with -DENABLE_FCDPP=ON/OFF
--
-- Configuring IQ File Source & Sink support...
-- Dependency GNURADIO_BLOCKS_FOUND = TRUE
-- Enabling IQ File Source & Sink support.
-- Override with -DENABLE_FILE=ON/OFF
--
-- Configuring Osmocom RTLSDR support...
-- Dependency LIBRTLSDR_FOUND = TRUE
-- Enabling Osmocom RTLSDR support.
-- Override with -DENABLE_RTL=ON/OFF
--
-- Configuring RTLSDR TCP Client support...
-- Dependency GNURADIO_BLOCKS_FOUND = TRUE
-- Enabling RTLSDR TCP Client support.
-- Override with -DENABLE_RTL_TCP=ON/OFF
--
-- Configuring Ettus USRP Devices support...
-- Dependency UHD_FOUND = 0
-- Dependency GNURADIO_UHD_FOUND = TRUE
-- Disabling Ettus USRP Devices support.
-- Override with -DENABLE_UHD=ON/OFF
--
-- Configuring Osmocom MiriSDR support...
-- Dependency LIBMIRISDR_FOUND = FALSE
-- Disabling Osmocom MiriSDR support.
-- Override with -DENABLE_MIRI=ON/OFF
--
-- Configuring HackRF & rad1o Badge support...
-- Dependency LIBHACKRF_FOUND = TRUE
-- Enabling HackRF & rad1o Badge support.
-- Override with -DENABLE_HACKRF=ON/OFF
-- Looking for hackrf_device_list
-- Looking for hackrf_device_list - found
-- HackRF multiple device support enabled
--
-- Configuring nuand bladeRF support...
-- Dependency LIBBLADERF_FOUND = FALSE
-- Disabling nuand bladeRF support.
-- Override with -DENABLE_BLADERF=ON/OFF
--
-- Configuring RFSPACE Receivers support...
-- Enabling RFSPACE Receivers support.
-- Override with -DENABLE_RFSPACE=ON/OFF
--
-- Configuring AIRSPY Receiver support...
-- Dependency LIBAIRSPY_FOUND = FALSE
-- Disabling AIRSPY Receiver support.
-- Override with -DENABLE_AIRSPY=ON/OFF
--
-- Configuring SoapySDR support support...
-- Dependency SoapySDR_FOUND = 0
-- Disabling SoapySDR support support.
-- Override with -DENABLE_SOAPY=ON/OFF
--
-- Configuring Red Pitaya SDR support...
-- Enabling Red Pitaya SDR support.
-- Override with -DENABLE_REDPITAYA=ON/OFF
--
-- Configuring FreeSRP support support...
-- Dependency LIBFREESRP_FOUND = FALSE
-- Disabling FreeSRP support support.
-- Override with -DENABLE_FREESRP=ON/OFF
-- Found PythonInterp: /usr/bin/python2 (found suitable version "2.7.13", minimum required is "2")
-- Performing Test HAVE_WNO_UNUSED_BUT_SET_VARIABLE
-- Performing Test HAVE_WNO_UNUSED_BUT_SET_VARIABLE - Success
--
-- ######################################################
-- # Gnuradio enabled components
-- ######################################################
-- * Python support
-- * Osmocom IQ Imbalance Correction
-- * sysmocom OsmoSDR
-- * FUNcube Dongle
-- * FUNcube Dongle Pro+
-- * IQ File Source & Sink
-- * Osmocom RTLSDR
-- * RTLSDR TCP Client
-- * HackRF & rad1o Badge
-- * RFSPACE Receivers
-- * Red Pitaya SDR
--
-- ######################################################
-- # Gnuradio disabled components
-- ######################################################
-- * Ettus USRP Devices
-- * Osmocom MiriSDR
-- * nuand bladeRF
-- * AIRSPY Receiver
-- * SoapySDR support
-- * FreeSRP support
--
-- Building for version: v0.1.4-98-gc653754d / 0.1.5git
-- Using install prefix: /usr/local
-- Configuring done
-- Generating done
-- Build files have been written to: /home/flo/tools/SDR/gr-osmosdr/build
flo@kali:~/tools/SDR/gr-osmosdr/build$ make -j4
Scanning dependencies of target pygen_python_31e3a
Scanning dependencies of target osmosdr_swig_swig_doc
Scanning dependencies of target gnuradio-osmosdr
Scanning dependencies of target osmosdr_grc_xml_blocks
[ 2%] Generating __init__.pyc
[ 2%] Built target osmosdr_swig_swig_doc
[ 4%] Generating rtlsdr_source.xml
Scanning dependencies of target pygen_apps_67f11
[ 7%] Generating __init__.pyo
[ 9%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/source_impl.cc.o
[ 12%] Shebangin osmocom_fft
[ 14%] Shebangin osmocom_siggen
[ 17%] Shebangin osmocom_siggen_nogui
[ 19%] Shebangin osmocom_spectrum_sense
[ 19%] Built target pygen_apps_67f11
[ 19%] Built target pygen_python_31e3a
Scanning dependencies of target pygen_apps_cd70b
Scanning dependencies of target _osmosdr_swig_swig_tag
[ 21%] Generating osmocom_siggen_base.pyc
[ 24%] Building CXX object swig/CMakeFiles/_osmosdr_swig_swig_tag.dir/_osmosdr_swig_swig_tag.cpp.o
[ 26%] Generating osmosdr_source.xml
[ 29%] Generating osmocom_siggen_base.pyo
[ 31%] Linking CXX executable _osmosdr_swig_swig_tag
[ 31%] Built target pygen_apps_cd70b
[ 34%] Generating osmosdr_sink.xml
[ 34%] Built target _osmosdr_swig_swig_tag
[ 36%] Generating osmosdr_swig.tag
Scanning dependencies of target osmosdr_swig_swig_2d0df
[ 39%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/sink_impl.cc.o
[ 41%] Building CXX object swig/CMakeFiles/osmosdr_swig_swig_2d0df.dir/osmosdr_swig_swig_2d0df.cpp.o
[ 43%] Linking CXX executable osmosdr_swig_swig_2d0df
[ 43%] Built target osmosdr_grc_xml_blocks
[ 46%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/ranges.cc.o
Swig source
[ 48%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/device.cc.o
[ 48%] Built target osmosdr_swig_swig_2d0df
Scanning dependencies of target pygen_swig_be666
[ 51%] Generating osmosdr_swig.pyc
[ 53%] Generating osmosdr_swig.pyo
[ 56%] Built target pygen_swig_be666
[ 58%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/time_spec.cc.o
[ 60%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/osmosdr/osmosdr_src_c.cc.o
[ 63%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/fcd/fcd_source_c.cc.o
[ 65%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/file/file_source_c.cc.o
[ 68%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/file/file_sink_c.cc.o
[ 70%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/rtl/rtl_source_c.cc.o
[ 73%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/rtl_tcp/rtl_tcp_source_c.cc.o
[ 75%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/hackrf/hackrf_source_c.cc.o
[ 78%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/hackrf/hackrf_sink_c.cc.o
[ 80%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/rfspace/rfspace_source_c.cc.o
[ 82%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/redpitaya/redpitaya_source_c.cc.o
[ 85%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/redpitaya/redpitaya_sink_c.cc.o
[ 87%] Building CXX object lib/CMakeFiles/gnuradio-osmosdr.dir/redpitaya/redpitaya_common.cc.o
[ 90%] Linking CXX shared library libgnuradio-osmosdr.so
[ 90%] Built target gnuradio-osmosdr
Scanning dependencies of target _osmosdr_swig
[ 92%] Building CXX object swig/CMakeFiles/_osmosdr_swig.dir/osmosdr_swigPYTHON_wrap.cxx.o
[ 95%] Linking CXX shared module _osmosdr_swig.so
[100%] Built target _osmosdr_swig
flo@kali:~/tools/SDR/gr-osmosdr/build$ sudo make install
[sudo] password for flo:
[ 43%] Built target gnuradio-osmosdr
[ 43%] Built target osmosdr_swig_swig_doc
[ 48%] Built target _osmosdr_swig_swig_tag
[ 56%] Built target osmosdr_swig_swig_2d0df
[ 63%] Built target pygen_swig_be666
[ 73%] Built target _osmosdr_swig
[ 78%] Built target pygen_python_31e3a
[ 85%] Built target osmosdr_grc_xml_blocks
[ 95%] Built target pygen_apps_67f11
[100%] Built target pygen_apps_cd70b
Install the project...
-- Install configuration: "Release"
-- Installing: /usr/local/lib/pkgconfig/gnuradio-osmosdr.pc
-- Installing: /usr/local/include/osmosdr/api.h
-- Installing: /usr/local/include/osmosdr/pimpl.h
-- Installing: /usr/local/include/osmosdr/ranges.h
-- Installing: /usr/local/include/osmosdr/time_spec.h
-- Installing: /usr/local/include/osmosdr/device.h
-- Installing: /usr/local/include/osmosdr/source.h
-- Installing: /usr/local/include/osmosdr/sink.h
-- Installing: /usr/local/lib/libgnuradio-osmosdr.so.0.1.5git
-- Up-to-date: /usr/local/lib/libgnuradio-osmosdr.so
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/_osmosdr_swig.so
-- Set runtime path of "/usr/local/lib/python2.7/dist-packages/osmosdr/_osmosdr_swig.so" to ""
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/osmosdr_swig.py
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/osmosdr_swig.pyc
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/osmosdr_swig.pyo
-- Installing: /usr/local/include/osmosdr/swig/osmosdr_swig.i
-- Installing: /usr/local/include/osmosdr/swig/osmosdr_swig_doc.i
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/__init__.py
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/__init__.pyc
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/__init__.pyo
-- Installing: /usr/local/share/gnuradio/grc/blocks/rtlsdr_source.xml
-- Installing: /usr/local/share/gnuradio/grc/blocks/osmosdr_source.xml
-- Installing: /usr/local/share/gnuradio/grc/blocks/osmosdr_sink.xml
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/osmocom_siggen_base.py
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/osmocom_siggen_base.pyc
-- Installing: /usr/local/lib/python2.7/dist-packages/osmosdr/osmocom_siggen_base.pyo
-- Installing: /usr/local/bin/osmocom_fft
-- Installing: /usr/local/bin/osmocom_siggen
-- Installing: /usr/local/bin/osmocom_siggen_nogui
-- Installing: /usr/local/bin/osmocom_spectrum_sense

~0007395

fl0 (reporter)

Issue resolved with latest gnuradio packages upgrade:

root@kali:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  libgnuradio-fcd3.7.10 libgnuradio-iqbalance3.7.10 libgnuradio-uhd3.7.10 libsoapysdr0.5-2 soapysdr0.5-2-module-hackrf soapysdr0.5-2-module-rtlsdr
...

~0007396

fl0 (reporter)

The following NEW packages will be installed:
  libgnuradio-fcdproplus3.7.11 libgnuradio-iqbalance3.7.11
The following packages will be upgraded:
  gr-fcdproplus gr-iqbal gr-osmosdr libgnuradio-osmosdr0.1.4
4 upgraded, 2 newly installed, 1 to remove and 0 not upgraded.

~0007398

rhertzog (administrator)

Thank you for letting us know. Closing ticket. I knew the gnuradio transition was not done yet, but it was badly coordinated on the Debian side and the packages had been removed from testing due to this...
+Notes

-Issue History
Date Modified Username Field Change
2017-09-16 07:15 fl0 New Issue
2017-09-18 09:46 rhertzog Assigned To => rhertzog
2017-09-18 09:46 rhertzog Status new => feedback
2017-09-18 09:46 rhertzog Note Added: 0007353
2017-09-18 09:47 rhertzog Steps to Reproduce Updated View Revisions
2017-09-18 11:03 fl0 Note Added: 0007357
2017-09-18 11:03 fl0 Status feedback => assigned
2017-09-18 11:08 fl0 Note Added: 0007358
2017-09-22 07:39 fl0 Note Added: 0007395
2017-09-22 07:42 fl0 Note Added: 0007396
2017-09-22 09:21 rhertzog Status assigned => resolved
2017-09-22 09:21 rhertzog Resolution open => fixed
2017-09-22 09:21 rhertzog Fixed in Version => 2017.3
2017-09-22 09:21 rhertzog Note Added: 0007398
+Issue History